Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.tools.workbench
Class XMLProjectWriter

`java.lang.Object
oracle.toplink.tools.workbench.XMLProjectWriter`

public class XMLProjectWriter
extends java.lang.Object

Purpose: Write the deployment XML (object persistence meta-data) for the TopLink project instance to a file. Note the TopLink deployment XML format has change as of the OracleAS TopLink 10g (10.0.3) release to use XML schema.

Since:
  TopLink 3.0

Constructor Summary
`XMLProjectWriter()` Default constructor.

Method Summary
`static void` | `write(Project project, java.lang.String fileName)` PUBLIC: Given the file name (including path), and a project, this writes out the deployment XML file storing the project's descriptor and mapping information.
`static void` | `write(Project project, java.io.Writer writer)` PUBLIC: Given the writer, and a project, this writes out the deployment XML file storing the project's descriptor and mapping information.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLProjectWriter

    public XMLProjectWriter()

  Default constructor.

Method Detail

### write

    public static void write(Project project,
                             java.lang.String fileName)

  PUBLIC: Given the file name (including path), and a project, this writes out the deployment XML file storing the project's descriptor and mapping information.
  Parameters:
    `fileName` - file to write to (including path)
    `project` - the project instance to write

### write

    public static void write(Project project,
                             java.io.Writer writer)

  PUBLIC: Given the writer, and a project, this writes out the deployment XML file storing the project's descriptor and mapping information.
  Parameters:
    `writer` - writer to writer to
    `project` - the project instance to write

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD